Bug 55680 - printconf-tui crashes in finishing stage
printconf-tui crashes in finishing stage
Status: CLOSED DEFERRED
Product: Red Hat Raw Hide
Classification: Retired
Component: printconf (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-04 14:51 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-08 12:58:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-04 14:51:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011101

Description of problem:
Adding a new printer using printconf-tui crashes in finishing stage.
Also crashes when using printconf-tui

Version-Release number of selected component (if applicable):
printconf-0.3.52-1, python-2.2-0.5b1, alchemist-1.0.18-1.1, PyXML-0.6.6-1,
LPRng-3.7.4-28, foomatic-1.1-0.20011001.1

How reproducible:
Always

Steps to Reproduce:
1. run printconf-tui
2. add a new printer
3. finish
	

Actual Results:   crash

Expected Results:  normal exit

Additional info:

[root]$ printconf-tui
Initializing alchemist edit environment ...
Initializing linux printing database ...
Traceback (most recent call last):
  File "/usr/sbin/printconf-tui", line 8, in ?
    printconf_tui.startup_and_find_cmd()
  File "/usr/share/printconf/util/printconf_tui.py", line 2174, in
startup_and_find_cmd
    main.cmd_handlers[cmd]()
  File "/usr/share/printconf/util/printconf_tui.py", line 2053, in tui_main_run
    qld_run()
  File "/usr/share/printconf/util/printconf_tui.py", line 1926, in qld_run
    if nqd_run():
  File "/usr/share/printconf/util/printconf_tui.py", line 153, in nqd_run
    nqd_finish()
  File "/usr/share/printconf/util/printconf_tui.py", line 259, in nqd_finish
    construct_queue(nqd.queue_type_space, nqd.data, nqd.driver_tuple)
  File "/usr/share/printconf/util/printconf_conf.py", line 788, in
construct_queue
    filter_data["printer_id"] = printer.id
SystemError: error return without exception set
Comment 1 Crutcher Dunnavant 2001-11-06 22:34:13 EST
I believe this was addressed in the "Comprehensive Printing Update" errata,
RHSA-2001:138.
Please install the updated packages, and reopen if the problem persists.
Comment 2 Need Real Name 2001-11-08 12:58:07 EST
Installed all updates, according to RHSA-2001:138
# rpm -q foomatic ghostscript Omni printconf
foomatic-1.1-0.20011018.3
ghostscript-6.51-16
Omni-0.5.0-4
printconf-0.3.52-1

The problem is with the python version installed:
python-2.2-0.5b1 and printconf python code, see also [Bug 55200] on
printconf-gui for printconf-0.3.51-1. The problem persists with printconf-0.3.52-1
Comment 3 Crutcher Dunnavant 2001-11-08 21:27:20 EST
printconf has not been ported to python 2 yet. Reopen in a few months, if this
persists. :)

Note You need to log in before you can comment on or make changes to this bug.